HOSTNAME(1)

NAME
hostname - set or print name of current host system

SYNOPSIS
hostname [-s] [name-of-host]

DESCRIPTION
hostname prints the name of the current host. The super-user can set the hostname by supplying an argument; this is usually done in the network initialization script /etc/netstart, normally run at boot time.

Options:

-s  Trims off any domain information from the printed name.

SEE ALSO
gethostname(3)

HISTORY
The hostname command appeared in 4.2BSD.